import request from '@/utils/request'

// 查询拼团订单关联列表
export function listMallCombineOrderLink(query) {
  return request({
    url: '/mall/mallCombineOrderLink/list',
    method: 'get',
    params: query
  })
}

// 查询拼团订单关联详细
export function getMallCombineOrderLink(linkId) {
  return request({
    url: '/mall/mallCombineOrderLink/' + linkId,
    method: 'get'
  })
}

// 新增拼团订单关联
export function addMallCombineOrderLink(data) {
  return request({
    url: '/mall/mallCombineOrderLink',
    method: 'post',
    data: data
  })
}

// 修改拼团订单关联
export function updateMallCombineOrderLink(data) {
  return request({
    url: '/mall/mallCombineOrderLink',
    method: 'put',
    data: data
  })
}

// 删除拼团订单关联
export function delMallCombineOrderLink(linkId) {
  return request({
    url: '/mall/mallCombineOrderLink/' + linkId,
    method: 'delete'
  })
}

// 导出拼团订单关联
export function exportMallCombineOrderLink(query) {
  return request({
    url: '/mall/mallCombineOrderLink/export',
    method: 'get',
    params: query
  })
}